### Signal

# Atk Object::notification

since: 2.50

#### Declaration

    void
    notification (
      AtkObject* self,
      gchar* arg1,
      gint arg2,
      gpointer user_data
    )

#### Description [src]

The “notification” signal can be emitted to pass an announcement on to be read by a screen reader.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 2.50

#### Parameters

`arg1`

  Type: `gchar*`

  The text to be announced.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`arg2`

  Type: `gint`

  An `AtkLive` specifying the politeness of the notification. Should be either ATK_LIVE_POLITE or ATK_LIVE_ASSERTIVE.